Bug Hunting Session
Bug 51304 - dung out bogus boilerplate
Summary: dung out bogus boilerplate
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:3.7.0 target:4.0.0 target:4.3.0
Keywords: difficultyBeginner, easyHack, skillCpp, topicCleanup
Depends on:
Blocks:
 
Reported: 2012-06-21 08:58 UTC by Michael Meeks
Modified: 2015-12-15 22:50 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Meeks 2012-06-21 08:58:55 UTC
Reading a fair bit of .java code I see lots of:

/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

/**
 *
 * @author  bc93774
 */

type comments - which seem utterly useless. It'd be great to get rid of them and (in general) give some love to our java code.
Comment 1 José Guilherme Vanz 2012-09-25 23:17:09 UTC
Hi!

If the source contains only @author annotation, can I remove it? Is permit this kind of annotation in java sources?

Thanks!
Comment 2 Not Assigned 2012-09-26 08:49:13 UTC
Marcos Paulo de Souza committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=6595e392eb314b79dec922daf9704569d0c8fff4

fdo#51304: Remove the author of some java source files



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 3 Not Assigned 2012-09-26 08:49:32 UTC
Jose Guilherme Vanz committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4972652eeba3ffa4d5055493d9275cfdc27b247c

fdo#51304: Remove @author annotation



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Not Assigned 2012-09-27 11:27:03 UTC
Marcos Paulo de Souza committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d3f60c050ab8489976c6b5684b4d64c7622a9d50

fdo#51304: Remove @author and more commented code



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Not Assigned 2012-10-01 12:13:42 UTC
Anurag Jain committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=37a2fa5d5a58628d317a2305965863dfe50f140e

fdo#51304: Remove the author of some java source files



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Not Assigned 2012-10-01 18:01:55 UTC
Jose Guilherme Vanz committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=78272699f3fdad03c960b4888452ddb7049e24fe

fdo#51304: Java author and commented code removal.



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Not Assigned 2012-11-20 05:19:08 UTC
Jose Guilherme Vanz committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4395680011e5e882d41cd1b3a4a0e14eda7430a8

fdo#51304: Remove @author annotation



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 Not Assigned 2012-11-24 00:10:49 UTC
Jose Guilherme Vanz committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=1994d859e3fd1ccbf41fad0afddba7d8a514a63d

fdo#51304 Remove @author annotation



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 9 José Guilherme Vanz 2012-11-24 19:20:26 UTC
Hi!

After my last patch I haven't found more templates and @author annotations. Can I finish the bug or someone else has to do this?

Thanks!
Comment 10 Michael Meeks 2012-11-24 21:55:53 UTC
please do close it if you think it's done - and thanks for the cleanup ! :-)
Comment 11 José Guilherme Vanz 2012-11-25 23:09:48 UTC
After my last patch I haven't found more templates and @author annotations. Bug resolved! Let's move to next!
:-)
Comment 12 Commit Notification 2014-02-15 20:52:46 UTC
Philipp Riemer committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=13dffbb750ef65bfb06f0f9f96bce2e40512539f

fdo#51304: Remove @author annotation in sw/source/core



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 13 Robinson Tryon (qubit) 2015-12-15 22:50:07 UTC
Migrating Whiteboard tags to Keywords: (EasyHack,DifficultyBeginner,SkillCpp,TopicCleanup )
[NinjaEdit]